Skip to Content
Reservations

Add or change a guest segment

Toegang

Lid van de organisatie met dit recht:

  • reservations:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/reservations/{reservationId}/guest-segments

Sets who is there for part of the stay; the segment must lie inside the stay and not overlap another.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

reservationId*string

Request Body

application/json
  1. body
id?string
startsOn*string
Formatdate-time
endsOn*string
Formatdate-time
note?string
Lengthlength <= 200
numberOfAdults*integer
Range0 <= value <= 50
numberOfChildren?integer
Range0 <= value <= 50
Default0
numberOfToddlers?integer
Range0 <= value <= 50
Default0
numberOfAnimals?integer
Range0 <= value <= 20
Default0

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//reservations/string/guest-segments' \  -H 'Content-Type: application/json' \  -d '{  "startsOn": "2019-08-24T14:15:22Z",  "endsOn": "2019-08-24T14:15:22Z",  "numberOfAdults": 0}'
Example Response
null